Subject: bug#19193: Announcing "untangle" for Grep 2.21; R.I.P. Dad

From: sur-behoffski <[email-masked]>
Date: Thu, 12 Feb 2015 10:53:30 +1030

On 11/27/14 10:16, Jim Meyering wrote:
> On Wed, Nov 26, 2014 at 5:38 AM, behoffski <[email-masked]> wrote:
>> G'day,
>>
>> Congratulations to all on the GNU Grep 2.21 release.
>>
>> I'm continuing my attempt to do a "bottom-up" refactoring of the code to
>> make
>> it more modular, via the Lua script "untangle" that you've seen recently.
>> This email contains an updated version of the script, tracking the changes
>> to the sources (especially to dfa.c) since the last release.
>
> Thanks for your continuing effort to contribute, and sorry to hear
> about your dad.
>
> I like your idea (mentioned off-list) to pursue this in its own project,
> so it will be separate from GNU grep, at least until you can
> show significant performance gains.
>

G'day Jim (replying via bug-grep list),

Done (finally).  See "hstbm", which is sometimes two or even three times
faster than GNU Grep 2.21 on my machine (amd64, Gentoo GNU/Linux) for
selected search patterns:

> The Savannah folks have kindly agreed to host hstbm as a non-GNU
> project at:
>
>     https://savannah.nongnu.org/projects/hstbm
>
> The release can be downloaded as a separate tarball from:
>
>     http://git.savannah.gnu.org/cgit/hstbm.git/snapshot/hstbm-0.13.tar.gz
>
> Git users probably want to clone the repository instead; the
> latest sources (which may include changes after the 0.13 release)
> can be retrieved via "git clone":
>
>     git clone git://git.savannah.nongnu.org/hst

cheers,

sur-behoffski (Brenton Hoff)
Programmer, Grouse Software